* Encoding: UTF-8.
title Simulationsdaten mit 3-fach-WW.
set seed = 1323465678.
input program.
+ loop #i = 1 to 400.
-  compute g = normal(1).
-  compute X  =  rnd(0.5*g + normal(1)).
-  compute M  =  rnd(0.5*g + normal(1)).
-  compute Z  =  rnd(0.2*g + normal(1)).
-  compute Y =  1 + 0.3*X + 0.25*M - 0.25*Z + 0.4*M*X +0.2*Z*X+ 0.2*X*M*Z  + normal(1).
-  end case.
+ end loop.
+ end file.
end input program.

CORRELATIONS X,M, Z.

FREQUENCIES
  VARIABLES=X M Z
  /STATISTICS=STDDEV VARIANCE MEAN
  /HISTOGRAM
  /ORDER=  ANALYSIS .

* compute  Z = Z - (-2).
compute  XM   = X*M.
compute  XZ   = X*Z.
compute  MZ   = M*Z.
compute  XMZ = X*M*Z.

REGRESSION
  /DESCRIPTIVES MEAN STDDEV 
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS CI R ANOVA ZPP
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT Y
  /METHOD=ENTER X M Z XM XZ MZ XMZ.

process Y=Y /X=X /W=M /Z=Z /model=3 /jn=1 /plot=1.
